<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
 elementFormDefault="qualified">

<xsd:include schemaLocation="common_trans_obj.xsd"/>
<xsd:include schemaLocation="common_obj.xsd"/>


	<xsd:element name="MCU_LAN_CONFIGURATION" type="McuLanConfigurationContent"/>
	<xsd:element name="GATEWAY_IP" type="IpAddressType"/>

	<xsd:element name="NETWORK_INTERFACE_CONFIG_PARAMS" type="McuNetInterfaceCfgParamsContent"/>
	<xsd:element name="NETWORK_MASK" type="IpAddressType"/>


	<xsd:complexType name="McuLanConfigurationContent">
		<xsd:sequence>
			<xsd:element ref="GATEWAY_IP"/>
			<xsd:element ref="NETWORK_INTERFACE_CONFIG_PARAMS" maxOccurs="unbounded"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="McuNetInterfaceCfgParamsContent">
		<xsd:sequence>
			<xsd:element ref="IP"/>
			<xsd:element ref="NETWORK_MASK"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

</xsd:schema>

